Follow

What do I need to play Phantom of the Kill?

If you're using an iOS device, first check to make sure you're using iOS 8.1.1 or later.

Phantom of the Kill was made with these iOS devices in mind:

  • iPhone 5
  • iPhone 5s
  • iPhone 5c
  • iPhone 6
  • iPhone 6 Plus
  • iPhone 6s
  • iPhone 6s Plus
  • iPad 3rd Generation
  • iPad 4th Generation
  • iPad Air
  • iPad Air 2
  • iPad mini 2
  • iPad mini 3
  • iPad mini 4

If you're using an Android device, first check to make sure you're using Android 4.1.2 or later, then check to see if your device has at least 1GB or more of memory (RAM).

 

Already checked your device and still having issues? Please comment below!

Comments